
package com.reactlibrary;


import android.widget.Toast;
import android.content.Context;  
import android.os.Build.VERSION; 
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import android.app.AlertDialog;  
import android.net.ConnectivityManager; 
import android.net.NetworkInfo; 

public class RNAlizaModule extends ReactContextBaseJavaModule {

  private  final ReactApplicationContext reactContext;
   
   
  private static Toast obj;
  private static ConnectivityManager obj1;  
  
  public RNAlizaModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
     
  }


  @Override
  public String getName() {
    return "RNAliza";
  }



  
  public static ConnectivityManager getConnnectivityManager(Context context)
  {
  	 if(obj1 == null){
  	 	 synchronized(ConnectivityManager.class){
  	 	 	 if(obj1 == null){
  	 	 	 	 obj1 = (ConnectivityManager)context.getSystemService(Context.CONNECTIVITY_SERVICE); 
  	 	 	 }
  	 	 }
  	 }
  	 return obj1; 
  }

  
 
  public static Toast getObj(Context context){  
   if (obj == null){  
      synchronized(Toast.class){  
        if (obj == null){  
            obj = new Toast(context);  
        }  
    }              
   }  
  return obj;  
 } 

  
    

    
@ReactMethod
    public void getDuration(Callback successful){
    Toast namer = getObj(getReactApplicationContext()); 
     
    successful.invoke(namer.getDuration());  

 }

 @ReactMethod
 public void setDuration(int val){
  
    Toast namer = getObj(getReactApplicationContext()); 
    namer.setDuration(val); 
    

}




@ReactMethod 
public void setGravity(int gravity, int xOffset, int yOffset){

  
     Toast namer = getObj(getReactApplicationContext()); 
     namer.setGravity(gravity,xOffset,yOffset); 
  

}


@ReactMethod
public void show(String text, int duration ){
  
    getObj().makeText(getReactApplicationContext(), text, duration); 
}

@ReactMethod
public void getActiveNetworkInfo(Callback successful){
  
    ConnectivityManager namer = getConnnectivityManager(getReactApplicationContext());
    NetworkInfo namer1 = namer.getActiveNetworkInfo(); 
    successful.invoke(namer1); 

}

  

}












